package com.example.storageex;

import lombok.extern.slf4j.Slf4j;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.scheduling.annotation.EnableScheduling;

@Slf4j
@EnableScheduling
@SpringBootApplication
public class StorageExApplication {

    public static void main(String[] args) {
        SpringApplication.run(StorageExApplication.class, args);

        log.info(">>>>>>>>>>> {}  启动成功", SpringApplication.class.getSimpleName());
    }

}
