package com.example.storageex.utils;

import lombok.Data;

/**
 * 统一返回结果的类
 */
@Data
public class R {


    // 返回码
    private Integer code;

    // 返回消息
    private String msg;

    // 返回数据
    private Object result;

    // 成功状态码
    private static final Integer SUCCESS_CODE = 0;

    // 成功消息提示
    private static final String SUCCESS_MESSAGE = "成功";

    // 成功静态方法
    public static R ok() {
        R r = new R();
        r.setCode(SUCCESS_CODE);
        r.setMsg(SUCCESS_MESSAGE);
        return r;
    }

    // 成功静态方法
    public static R ok(Object obj) {
        R r = ok();
        r.setResult(obj);
        return r;
    }

}
