package com.example.storageex.mapper;

import cn.hutool.core.date.DateTime;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

public interface IndexMapper extends BaseMapper<Object> {

    List<Map<String, Object>> selectDetails(Map<String, Object> condition);

    List<Map<String, Object>> selectAllMaterialList(@Param("ew") QueryWrapper<Object> queryWrapper);

    List<Map<String, Object>> selectInk();

    List<Map<String, Object>> getPaidInLastAccountingPeriod(@Param("beginOfMonth") DateTime beginOfMonth, @Param("halfEndTime") String halfEndTime);

    BigDecimal getCurrentAccountingPeriod(@Param("lowerHalfBeginTime") String lowerHalfBeginTime, @Param("endOfMonth") DateTime endOfMonth);

    List<Map<String, Object>> gerPaid(@Param("lowerHalfBeginTime") String lowerHalfBeginTime, @Param("endOfMonth") DateTime endOfMonth);

    List<Map<String, Object>> approvalRole();


    List<Map<String, Object>> getInventoryRecord(@Param("ew") QueryWrapper<Object> wrapper);

}
